<?php
/**
 * Typography
 *
 * @package Rhythm Blog
 */

$wp_customize->add_section(
	'rhythm_blog_typography',
	array(
		'panel' => 'rhythm_blog_theme_options',
		'title' => esc_html__( 'Typography', 'rhythm-blog' ),
	)
);

// Typography - Site Title Font.
$wp_customize->add_setting(
	'rhythm_blog_site_title_font',
	array(
		'default'           => 'Reem Kufi',
		'sanitize_callback' => 'rhythm_blog_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'rhythm_blog_site_title_font',
	array(
		'label'    => esc_html__( 'Site Title Font Family', 'rhythm-blog' ),
		'section'  => 'rhythm_blog_typography',
		'settings' => 'rhythm_blog_site_title_font',
		'type'     => 'select',
		'choices'  => rhythm_blog_get_all_google_font_families(),
	)
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'rhythm_blog_site_description_font',
	array(
		'default'           => 'Public Sans',
		'sanitize_callback' => 'rhythm_blog_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'rhythm_blog_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'rhythm-blog' ),
		'section'  => 'rhythm_blog_typography',
		'settings' => 'rhythm_blog_site_description_font',
		'type'     => 'select',
		'choices'  => rhythm_blog_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'rhythm_blog_header_font',
	array(
		'default'           => 'Fjalla One',
		'sanitize_callback' => 'rhythm_blog_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'rhythm_blog_header_font',
	array(
		'label'    => esc_html__( 'Header Font Family', 'rhythm-blog' ),
		'section'  => 'rhythm_blog_typography',
		'settings' => 'rhythm_blog_header_font',
		'type'     => 'select',
		'choices'  => rhythm_blog_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'rhythm_blog_body_font',
	array(
		'default'           => 'Rubik',
		'sanitize_callback' => 'rhythm_blog_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'rhythm_blog_body_font',
	array(
		'label'    => esc_html__( 'Body Font Family', 'rhythm-blog' ),
		'section'  => 'rhythm_blog_typography',
		'settings' => 'rhythm_blog_body_font',
		'type'     => 'select',
		'choices'  => rhythm_blog_get_all_google_font_families(),
	)
);
